@font-face {
  font-family: "Barlow";
  src: url('../fonts/Barlow-Regular.woff2');
}

@font-face {
  font-family: "Barlow";
  src: url('../fonts/Barlow-Bold.woff2');
  font-weight: bold;
}

@font-face {
  font-family: "Barlow";
  src: url('../fonts/Barlow-Italic.woff2');
  font-style: italic;
}

@font-face {
  font-family: "Barlow";
  src: url('../fonts/Barlow-BoldItalic.woff2');
  font-weight: bold;
  font-style: italic;
}

:root {
  --keycloak-logo-url: url('../img/logo.svg');
  --keycloak-logo-height: 8rem;
  --keycloak-logo-width: 24rem;

  --pf-v5-global--primary-color--100: #3c2673;
  --pf-v5-global--primary-color--200: #8c358b;
  --pf-v5-global--FontFamily--text: "Barlow", "sans-serif";
  --pf-v5-global--FontFamily--heading: "Barlow", "sans-serif";
}

.pf-v5-c-login__container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  align-items: center;
  justify-content: flex-start;
  margin-top: 0;
}

.login-pf body {
  background-image: image-set(url("../img/background.webp") type("image/webp"),
      url("../img/background.jpg") type("image/jpg"));
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
}

.pf-v5-c-login {
  padding-top: 0;
  flex-direction: column;
  /*gap: 1rem;*/
  padding-bottom: 0;
}

.pf-v5-c-login__header {
  background: white;
  width: 100vw;
  margin: 0;
}

div.pf-v5-c-brand {
  background-image: var(--keycloak-logo-url);
  height: var(--keycloak-logo-height);
  width: var(--keycloak-logo-width);
  background-repeat: no-repeat;
  background-size: contain;
  margin: 1rem auto 1rem auto !important;
  background-position: center center;
}

div.kc-logo-text span {
  display: none;
}

.pf-v5-c-login__main {
  align-self: center;
  margin: 2rem 0 2rem 0;
}

.uaux-login-main {
  display: flex;
  flex-direction: column;
  grid-gap: 2rem;
  min-width: 100%;
  padding: 1rem 0 1rem 0;
}

@media only screen and (max-width: 600px) {
  .pf-v5-c-login__main {
    margin: 0;
    box-shadow: none;
  }

  .login-pf body {
    background-image: none;
  }

  #kc-recovery-codes-list {
    margin: 0;
    grid-template-columns: 1fr;
  }

  .uaux-login-main {
    width: 95vw;
  }
}

@media only screen and (min-width: 600px) {
  #kc-recovery-codes-list {
    margin: 1rem;
    grid-template-columns: 1fr;
  }

  .uaux-login-main .pf-v5-c-button:not(.pf-m-control) {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }

  .uaux-login-main {
    width: 85vw;
  }
}

@media only screen and (min-width: 768px) {
  #kc-recovery-codes-list {
    margin: 1rem;
    grid-template-columns: 1fr;
  }

  .uaux-login-main .pf-v5-c-button:not(.pf-m-control) {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
  }

  .uaux-login-main {
    width: 75vw;
  }
}

@media only screen and (min-width: 992px) {
  #kc-recovery-codes-list {
    grid-template-columns: 1fr;
  }

  .uaux-login-main .pf-v5-c-button:not(.pf-m-control) {
    width: 60%;
    margin-left: auto;
    margin-right: auto;
  }

  .uaux-login-main {
    width: 60vw;
  }
}

@media only screen and (min-width: 1400px) {
  #kc-recovery-codes-list {
    grid-template-columns: 1fr 1fr 1fr;
    margin: 2rem;
  }

  .uaux-login-main .pf-v5-c-button:not(.pf-m-control) {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
  }

  .uaux-login-main {
    width: 40vw;
  }
}

#kc-select-credential-form {
  height: 1rem;
}

#kc-recovery-codes-list {
  display: grid;
  padding: 0;
  grid-row-gap: 1rem;
  grid-auto-flow: row;
  justify-items: center;
}

#kc-recovery-codes-list>li {
  margin: 0;
}

.uaux-login-ms {
  grid-area: login-ms;
}

.uaux-login-pw {
  grid-area: login-pw;
}

.uaux-login-footer {
  grid-area: footer;
}

.uaux-login-main>form#kc-select-try-another-way-form {
  display: none !important;
}

footer {
  background: white;
  padding: 1rem 1rem 1rem 1rem;
  margin: 0;
}


input[type=checkbox] {
  margin-right: .5rem;
}

#passkey-button {
  border: none;
  background: none;
  padding: 0;
  margin-left: 0;
}

.collapse-check {
  display: none;
}

.collapse-check~label {
  display: inherit;
  cursor: pointer;
  line-height: 1rem;
}

.fa-chevron-down {
  margin-right: 1rem;
  width: 1rem;
  height: 1rem;
}

.fa-chevron-right {
  margin-right: 1rem;
  width: 1rem;
  height: 1rem;
}

.collapse-check:checked~.collapse-check-label i {
  transition: 200ms 0s linear;
  transform: rotate(-90deg);
}

.collapse-check~.collapse-check-label i {
  transition: 200ms 0s linear;
  transform: rotate(0deg);
}

.collapse-check:checked~.collapse-body {
  height: 0;
  opacity: 0;
  transition: opacity 200ms, height 200ms;
}

.collapse-check~.collapse-body {
  height: 100%;
  opacity: 100%;
  transition: opacity 200ms, height 200ms;
  padding-left: 1rem;
  margin-left: 0.3rem;
}

.uaux-login-option:has(.collapse-check:not(:checked)) {
  border-left: 2px solid var(--pf-v5-global--primary-color--100);
}

.uaux-login-option {
  padding: 2rem 16px 2rem 16px;
}

/*alias for pf-v5-u-screen-reader since some alerts seem to use the wrong classes*/
.pf-screen-reader {
  position: fixed;
  inset-block-start: 0;
  inset-inline-start: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

#kc-login,
#authenticateWebAuthnButton {
  background-color: var(--pf-v5-c-button--m-primary--BackgroundColor);
  color: var(--pf-v5-c-button--m-primary--Color);
}

#kc-login:hover,
#authenticateWebAuthnButton:hover {
  background-color: var(--pf-v5-c-button--m-primary--hover--BackgroundColor);
  color: var(--pf-v5-c-button--m-primary--hover--Color);
}
